import * as $dara from '@darabonba/typescript';
export declare class AddUnknownThreatDetectProcessRequestProcessList extends $dara.Model {
    /**
     * @example
     * e59b63ae983377f131ab20ec0d******
     */
    md5?: string;
    /**
     * @example
     * /bin/rm
     */
    processPath?: string;
    /**
     * @example
     * 1330
     */
    remark?: string;
    /**
     * @example
     * f204693a7d2ce99d6c4434e550d985ee1c7be7cb5dd9a76094369af0d2******
     */
    sha256?: string;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    validate(): void;
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class AddUnknownThreatDetectProcessRequest extends $dara.Model {
    eventIdList?: number[];
    processList?: AddUnknownThreatDetectProcessRequestProcessList[];
    uuidList?: string[];
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    validate(): void;
    constructor(map?: {
        [key: string]: any;
    });
}
